com.aliyun.svideosdk.editor.impl

## Class AliyunPasterAbstractController<MODEL>

- java.lang.Object
- - AliyunIPasterPackageOperation
  - - com.aliyun.svideosdk.editor.impl.AliyunPasterAbstractController<MODEL>

- All Implemented Interfaces:
    AliyunIPasterController
  Direct Known Subclasses:
    AliyunPasterControllerCompoundCaption

      public abstract class AliyunPasterAbstractController<MODEL>
      extends AliyunIPasterPackageOperation
      implements AliyunIPasterController

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected MODEL` | `mModel`
    `protected AliyunPasterRender` | `mRender`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDuration(java.util.concurrent.TimeUnit timeUnit)` 获取当前贴纸的播放时长
    `long` | `getStartTime(java.util.concurrent.TimeUnit timeUnit)` 获取当前贴纸的起始时间
    `void` | `setDuration(long aDuration)` 设置贴纸播放时长
    `void` | `setStartTime(long aStartTime)` 设置贴纸的起始时间

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.aliyun.svideosdk.editor.AliyunIPasterController

      `getDuration, getPosition, getRotate, getSize, getStartTime, getType, setDuration, setPosition, setRotate, setStartTime`

- - ### Field Detail

    - #### mModel

          protected MODEL mModel

    - #### mRender

          protected AliyunPasterRender mRender

  - ### Method Detail

    - #### getStartTime

          public long getStartTime(java.util.concurrent.TimeUnit timeUnit)

      Description copied from interface: `AliyunIPasterController`
      获取当前贴纸的起始时间

      v3.27.0新增

      Specified by:
        `getStartTime` in interface `AliyunIPasterController`
      Parameters:
        `timeUnit` - 时间单位
      Returns:
        贴纸的起始时间戳

    - #### setStartTime

          public void setStartTime(long aStartTime)

      Description copied from interface: `AliyunIPasterController`
      设置贴纸的起始时间
      Specified by:
        `setStartTime` in interface `AliyunIPasterController`
      Parameters:
        `aStartTime` - 起始时间戳(单位：微秒）

    - #### getDuration

          public long getDuration(java.util.concurrent.TimeUnit timeUnit)

      Description copied from interface: `AliyunIPasterController`
      获取当前贴纸的播放时长

      v3.27.0新增

      Specified by:
        `getDuration` in interface `AliyunIPasterController`
      Parameters:
        `timeUnit` - 时间单位
      Returns:
        贴纸播放时长

    - #### setDuration

          public void setDuration(long aDuration)

      Description copied from interface: `AliyunIPasterController`
      设置贴纸播放时长
      Specified by:
        `setDuration` in interface `AliyunIPasterController`
      Parameters:
        `aDuration` - 贴纸播放时长(单位：微秒）